package com.alicom.mns.tools;

import java.text.ParseException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.aliyun.mns.client.CloudQueue;
import com.aliyun.mns.model.Message;

/**
 * 阿里通信官方消息默认拉取工具类
 *
 */
public class DefaultAlicomMessagePuller {
	private String mnsAccountEndpoint="https://1943695596114318.mns.cn-hangzhou.aliyuncs.com/";//阿里通信消息的endpoint,固定。
	private String endpointNameForPop="cn-hangzhou";//
	private String regionIdForPop="cn-hangzhou";
	private String domainForPop="dybaseapi.aliyuncs.com";
	private TokenGetterForAlicom tokenGetter;
	private MessageListener messageListener;
	private Log logger=LogFactory.getLog(DefaultAlicomMessagePuller.class);
	private boolean isRunning=false;
	private class PullMessageTask implements Runnable{
		private String messageType;
		private String queueName;
		@Override
		public void run() {
			while(isRunning){
				try {
					TokenForAlicom tokenObject=tokenGetter.getTokenByMessageType(messageType,queueName,mnsAccountEndpoint);
					CloudQueue queue=tokenObject.getQueue();
					Message popMsg = queue.popMessage();
	                if (popMsg != null){
	                	boolean dealResult=messageListener.dealMessage(popMsg);
	                	if(dealResult){
	                		//remember to  delete message when consume message successfully.
		                    queue.deleteMessage(popMsg.getReceiptHandle());
	                	}
	                }else{
	                	Thread.sleep(3000);//no message ,wait
	                }
				} catch (Throwable e) {
					logger.error("PullMessageTask_execute_error,messageType:"+messageType+",queueName:"+queueName,e);
					try {
						Thread.sleep(3000);
					} catch (InterruptedException e1) {
						logger.error("PullMessageTask_execute_error,messageType:"+messageType+",queueName:"+queueName,e);
					}
				}
			}
			 
			
		}
		
	}
	public void startReceiveMsg(String accessKey,String accessSecret,String messageType,String queueName,MessageListener messageListener) throws com.aliyuncs.exceptions.ClientException, ParseException{
		tokenGetter=new TokenGetterForAlicom(
				accessKey,accessSecret,
				endpointNameForPop,regionIdForPop,domainForPop
				);
		this.messageListener=messageListener;
		isRunning=true;
		PullMessageTask task=new PullMessageTask();
		task.messageType=messageType;
		task.queueName=queueName;
		Thread thread=new Thread(task,"PullMessageTask-thread");
		thread.start();
	}
	
	public void stop(){
		isRunning=false;
	}
	
}
